<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="Transfer"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="toko" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="idTransfer" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["14"]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select * from fn_rpt_print_transfer($P{idTransfer}::bigint) as (id bigint, no_bukti varchar, tanggal timestamp without time zone, description varchar, 
asal varchar, tujuan varchar, id_barang integer, plu varchar, nama_barang varchar, qty double precision, satuan varchar)
]]></queryString>

	<field name="id" class="java.lang.Long"/>
	<field name="no_bukti" class="java.lang.String"/>
	<field name="tanggal" class="java.sql.Timestamp"/>
	<field name="description" class="java.lang.String"/>
	<field name="asal" class="java.lang.String"/>
	<field name="tujuan" class="java.lang.String"/>
	<field name="id_barang" class="java.lang.Integer"/>
	<field name="plu" class="java.lang.String"/>
	<field name="nama_barang" class="java.lang.String"/>
	<field name="qty" class="java.lang.Double"/>
	<field name="satuan" class="java.lang.String"/>

	<variable name="nomor" class="java.lang.Integer" resetType="Report" calculation="Count">
		<variableExpression><![CDATA[$F{id_barang}]]></variableExpression>
	</variable>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="148"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="535"
						height="24"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Tahoma" size="14" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{toko}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						mode="Opaque"
						x="325"
						y="43"
						width="210"
						height="21"
						backcolor="#CCCCCC"
						key="staticText-1"/>
					<box>					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="1.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Tahoma" size="14" isBold="true"/>
					</textElement>
				<text><![CDATA[Transfer Antar Gudang]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="64"
						width="61"
						height="15"
						key="staticText-4"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[No. Bukti]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="79"
						width="61"
						height="15"
						key="staticText-5"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[Tanggal]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="109"
						width="61"
						height="15"
						key="staticText-7"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[Gudang'Tujuan]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="64"
						width="143"
						height="15"
						key="textField-2"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{no_bukti}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd-MMM-yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="79"
						width="143"
						height="15"
						key="textField-3"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.sql.Timestamp"><![CDATA[$F{tanggal}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="109"
						width="143"
						height="15"
						key="textField-5"/>
					<box leftPadding="2" rightPadding="2">					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{tujuan}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="386"
						y="79"
						width="6"
						height="15"
						key="staticText-10"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="64"
						width="6"
						height="15"
						key="staticText-11"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="109"
						width="6"
						height="15"
						key="staticText-13"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<rectangle>
					<reportElement
						mode="Transparent"
						x="0"
						y="43"
						width="280"
						height="80"
						key="rectangle-1"/>
					<graphicElement stretchType="NoStretch"/>
				</rectangle>
				<staticText>
					<reportElement
						x="6"
						y="46"
						width="61"
						height="14"
						key="staticText-14"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[Keterangan :]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="6"
						y="60"
						width="267"
						height="58"
						key="textField-6"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Top">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{description}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="40"
						y="131"
						width="61"
						height="17"
						key="staticText-15"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
				<text><![CDATA[Kode Stok]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="101"
						y="131"
						width="321"
						height="17"
						key="staticText-16"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
				<text><![CDATA[Nama Stok]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="422"
						y="131"
						width="50"
						height="17"
						key="staticText-17"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
				<text><![CDATA[Qty]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="472"
						y="131"
						width="63"
						height="17"
						key="staticText-18"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
				<text><![CDATA[Satuan]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="94"
						width="61"
						height="15"
						key="staticText-32"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[Gudang Asal]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="dd-MMM-yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="94"
						width="143"
						height="15"
						key="textField-23"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{asal}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="386"
						y="94"
						width="6"
						height="15"
						key="staticText-33"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="0"
						y="131"
						width="40"
						height="17"
						key="staticText-34"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10" isBold="true"/>
					</textElement>
				<text><![CDATA[No]]></text>
				</staticText>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="15"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="40"
						y="0"
						width="61"
						height="15"
						key="textField-7"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{plu}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="101"
						y="0"
						width="321"
						height="15"
						key="textField-8"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{nama_barang}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="422"
						y="0"
						width="50"
						height="15"
						key="textField-9"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{qty}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="472"
						y="0"
						width="63"
						height="15"
						key="textField-11"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{satuan}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="40"
						height="15"
						key="textField-24"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="10"/>
					</textElement>
				<textFieldExpression   class="java.lang.Integer"><![CDATA[$V{nomor}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="34"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="325"
						y="16"
						width="147"
						height="18"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Right">
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Page "+$V{PAGE_NUMBER}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="472"
						y="16"
						width="63"
						height="18"
						key="textField"/>
					<box></box>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[" of "+$V{PAGE_COUNT}]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<summary>
			<band height="19"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="0"
						y="0"
						width="535"
						height="19"
						key="staticText-35"/>
					<box>					<topPen lineWidth="0.75"/>
</box>
					<textElement>
						<font/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
			</band>
		</summary>
</jasperReport>
